{ pkgs, config, ... }:
{
  imports = [
    ../os
    ../curacao/options.nix
    ../curacao/hardware.nix
    ./dk.nix
  ];

  networking.hostName = "curacao_usb";

  # It's a removable drive, so no touching EFI vars
  # (quite a lot of stuff to set for that!)
  boot.loader = {
    efi.canTouchEfiVariables = false;
    grub = {
      efiInstallAsRemovable = true;
      device = "nodev";
    };
  };

}
