{ pkgs, config, ... }:
{
  imports = [
    <home-manager/nixos>
  ];

  users.users.geoffrey = {
    isNormalUser = true;
    extraGroups = [ "adbusers" "wheel" ];
    shell = pkgs.zsh;

    initialHashedPassword = "$y$j9T$e64bjL7iyVlniEKwKbM9g0$cCn74za0r6L9QMO20Fdxz3/SX0yvhz3Xd6.2BhtbRL1"; # Not a real password
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPE41gxrO8oZ5n3saapSwZDViOQphm6RzqgsBUyA88pU geoffrey@frogeye.fr"
    ];
  };

  # Won't allow to set the shell otherwise,
  # even though home-manager sets it
  programs.zsh.enable = true;

  home-manager = {
    users.geoffrey = { pkgs, ... }: {
      imports = [
        ../hm
      ];
      frogeye = config.frogeye;
    };
    # Makes VMs able to re-run
    useUserPackages = true;
    # Adds consistency
    useGlobalPkgs = true;
  };

  # Because everything is encrypted and I'm the only user, this is fine.
  services.xserver.displayManager.autoLogin.user = "geoffrey";
}
